KoboTerminalNGX API DocsGet a free API key

Index intraday

Today's intraday points for an index (level, change, value and volume traded) plus the latest live reading.

http
GET https://koboterminal.com/api/ngxdata/indices/intraday/{code}

Plan: Free and above (free key, no card).

Parameters

NameInTypeRequiredDescription
codepathstringyesIndex code (e.g. ASI)

Request

bash
curl "https://koboterminal.com/api/ngxdata/indices/intraday/ASI" \
  -H "X-API-Key: $KOBO_API_KEY"
python
import os, requests

r = requests.get(
    "https://koboterminal.com/api/ngxdata/indices/intraday/ASI",
    headers={"X-API-Key": os.environ["KOBO_API_KEY"]},
    timeout=30,
)
r.raise_for_status()
data = r.json()
javascript
const res = await fetch("https://koboterminal.com/api/ngxdata/indices/intraday/ASI", {
  headers: { "X-API-Key": process.env.KOBO_API_KEY },
});
if (!res.ok) throw new Error(`Kobo API ${res.status}`);
const data = await res.json();

Response

Real response from the live API on 18 November 2026, trimmed to the first item of each list:

json
{
  "success": true,
  "code": "ASI",
  "as_of": "2026-11-18T22:38:06.526Z",
  "live": {
    "code": "ASI",
    "name": "NGX All-Share Index",
    "value": 248329.65,
    "chg_pct": -0.39668111471003076,
    "high": 249452.08,
    "low": 248265.12,
    "val_traded": 21611296010.39003,
    "vol_traded": 404142572,
    "updated_at": 1795041486526
  },
  "points": [
    {
      "ts": "2026-11-18T08:00:00+00:00",
      "value": 249318.65,
      "chg_pct": 0,
      "val_traded": 0,
      "vol_traded": 0
    }
  ]
}

Use it from an AI assistant

This endpoint is available as the get_index_intraday tool on the Kobo Terminal MCP server (https://koboterminal.com/mcp). See MCP server.

Errors

Standard errors apply: see Rate limits and errors.